camel-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Charles Moulliard (JIRA)" <j...@apache.org>
Subject [jira] Commented: (CAMEL-2332) Upgrade to Jetty 7.0
Date Wed, 17 Mar 2010 08:17:45 GMT

    [ https://issues.apache.org/activemq/browse/CAMEL-2332?page=com.atlassian.jira.plugin.system.issuetabpanels:comment-tabpanel&focusedCommentId=58280#action_58280
] 

Charles Moulliard commented on CAMEL-2332:
------------------------------------------

Hi,

I have tested successfully Jetty 7 on SMX4 using the following osgi bundles in a small project
using camel-cometd (2.3-SNAPSHOT).

karaf@root> osgi:install -s mvn:org.eclipse.jetty/jetty-server/7.0.1.v20091125
karaf@root> osgi:install -s mvn:org.eclipse.jetty/jetty-http/7.0.1.v20091125
karaf@root> osgi:install -s mvn:org.eclipse.jetty/jetty-io/7.0.1.v20091125
karaf@root> osgi:install -s mvn:org.eclipse.jetty/jetty-util/7.0.1.v20091125
karaf@root> osgi:install -s mvn:org.eclipse.jetty/jetty-continuation/7.0.1.v20091125
karaf@root> osgi:install -s mvn:org.eclipse.jetty/jetty-servlet/7.0.1.v20091125
karaf@root> osgi:install -s mvn:org.eclipse.jetty/jetty-security/7.0.1.v20091125

+ following bundles for camel-cometd

osgi:install -s wrap:mvn:org.cometd.java/cometd-api/1.0.1
osgi:install -s wrap:mvn:org.cometd.java/cometd-java-server/1.0.1

Remark : As stated previously, PAX Web is not impacted to use Jetty 7 instead of Jetty 6 while
we are not using by example a fragment bundle containing jetty.xml config file. The reason
concerns package renaming (org.mortbay --> org.eclipse). More tests should be done to verify
that we don't have problem with servlet registration, ... 

> Upgrade to Jetty 7.0
> --------------------
>
>                 Key: CAMEL-2332
>                 URL: https://issues.apache.org/activemq/browse/CAMEL-2332
>             Project: Apache Camel
>          Issue Type: Task
>          Components: camel-jetty
>            Reporter: Claus Ibsen
>            Assignee: Christian Mueller
>             Fix For: 2.3.0
>
>         Attachments: CAMEL-2332_20100309.patch
>
>
> Jetty 7.0 is out and we should upgrade to use that as well.
> We should do this in the same release we upgrade to HTTP Client 4.0 as well so we upgrade
both kinds in the same release. CAMEL-1530.

-- 
This message is automatically generated by JIRA.
-
You can reply to this email to add a comment to the issue online.


Mime
View raw message